Bug 1007525 - oVirt 3.3 Dependency Resolution [NEEDINFO]
oVirt 3.3 Dependency Resolution
Status: CLOSED INSUFFICIENT_DATA
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.3
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Ofer Schreiber
gluster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 12:44 EDT by James Wilson
Modified: 2013-10-15 04:05 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 04:05:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
barumuga: needinfo? (jbw)


Attachments (Terms of Use)

  None (edit)
Description James Wilson 2013-09-12 12:44:58 EDT
I've just performed a clean install of CentOS 6.4 x86_64 (Minimal) along with oVirt 3.3 from the official EL6 Beta repository.  This resulted in dependency conflicts between the official oVirt repo and EPEL.

The following repositories were installed and activated:

# yum localinstall http://resources.ovirt.org/releases/ovirt-release-el6-8-1.noarch.rpm -y
# yum localinstall http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm -y

Followed by installation of the main oVirt engine and all-in-one configuration:

# yum install ovirt-engine-setup-plugin-allinone -y

This resulted in the following fatal error:

Error: Package: vdsm-4.12.1-2.el6.x86_64 (ovirt-beta)
          Requires: mom >= 0.3.2-3
          Available: mom-0.3.0-1.el6.noarch (epel)
              mom = 0.3.0-1.el6
Error: Package: glusterfs-api-3.4.0-8.el6.x86_64 (glusterfs-epel)
          Requires: glusterfs = 3.4.0-8.el6
          Available: glusterfs-3.2.7-1.el6.i686 (epel)
              glusterfs = 3.2.7-1.el6
Error: Package: vdsm-4.12.1-2.el6.x86_64 (ovirt-beta)
          Requires: glusterfs >= 3.4.0
          Available: glusterfs-3.2.7-1.el6.i686 (epel)
              glusterfs = 3.2.7-1.el6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

To resolve, priorities have to be set within the yum repository definitions:

# yum install yum-priorities

Adding arbitrary priorities to the oVirt and EPEL repositories rectified the issue - giving EPEL a lower value.  For example:

/etc/yum.repos.d/el6-ovirt.repo 

[ovirt-beta]
name=Beta builds of the oVirt project
baseurl=http://ovirt.org/releases/beta/rpm/EL/$releasever/
enabled=1
skip_if_unavailable=1
gpgcheck=0
priority=20
priority=20

/etc/yum.repos.d/epel.repo 

[epel]
name=Extra Packages for Enterprise Linux 6 - $basearch
#baseurl=http://download.fedoraproject.org/pub/epel/6/$basearch
mirrorlist=https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
priority=25

The priority setting must be enabled for each repo definition,  Once complete, the installation succeeds without issue.

James
Comment 1 Bala.FA 2013-09-25 01:36:22 EDT
I am not able to reproduce this problem.  I used below steps

1. install minimal centos 6.4
2. yum -y install http://dl.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm
3. yum install http://ovirt.org/releases/ovirt-release-el.noarch.rpm
4. yum install ovirt-engine-setup-plugin-allinone

This works fine in stable and beta repo of ovirt.  Please note, I use install than localinstall
Comment 2 Bala.FA 2013-09-25 21:09:07 EDT
Let us know comment #1 resolves this.
Comment 3 Bala.FA 2013-10-03 03:10:30 EDT
James Wilson, could you update whether comment #1 solves this issue?
Comment 4 Itamar Heim 2013-10-15 04:05:14 EDT
closing on no response. please re-open if issue persist with more info.

Note You need to log in before you can comment on or make changes to this bug.